.woocommerce ul.products li.product .button,
.woocommerce button.button.alt,
.woocommerce a.button,
.woocommerce a.button.alt,
button:not(.pure2026_track_button),
.button,
.wp-element-button, .wp-block-button__link,
.woocommerce button.button,
.woocommerce-button,
.wpcf7-submit,
.single_add_to_cart_button,
input[type=submit] {
  font-weight: 500;
  transition-duration: 0.2s;
  transition-property: all;
  border-radius: 1rem;
  cursor: pointer;
  border: 0;
  color: #000;
  background: oklch(92.2% 0 0);
  overflow: hidden;
  box-shadow: none !important;
  padding: 0.75em 1.25em;
  text-transform: capitalize;
  font-size: 0.875rem;
}
.woocommerce ul.products li.product .button:hover,
.woocommerce button.button.alt:hover,
.woocommerce a.button:hover,
.woocommerce a.button.alt:hover,
button:not(.pure2026_track_button):hover,
.button:hover,
.wp-element-button:hover, .wp-block-button__link:hover,
.woocommerce button.button:hover,
.woocommerce-button:hover,
.wpcf7-submit:hover,
.single_add_to_cart_button:hover,
input[type=submit]:hover {
  color: oklch(98.5% 0 0) !important;
  background: oklch(26.8% 0.007 34.298) !important;
}
.woocommerce ul.products li.product .button.components-button, .woocommerce ul.products li.product .button.wc-forward,
.woocommerce button.button.alt.components-button,
.woocommerce button.button.alt.wc-forward,
.woocommerce a.button.components-button,
.woocommerce a.button.wc-forward,
.woocommerce a.button.alt.components-button,
.woocommerce a.button.alt.wc-forward,
button:not(.pure2026_track_button).components-button,
button:not(.pure2026_track_button).wc-forward,
.button.components-button,
.button.wc-forward,
.wp-element-button.components-button,
.wp-element-button.wc-forward, .wp-block-button__link.components-button, .wp-block-button__link.wc-forward,
.woocommerce button.button.components-button,
.woocommerce button.button.wc-forward,
.woocommerce-button.components-button,
.woocommerce-button.wc-forward,
.wpcf7-submit.components-button,
.wpcf7-submit.wc-forward,
.single_add_to_cart_button.components-button,
.single_add_to_cart_button.wc-forward,
input[type=submit].components-button,
input[type=submit].wc-forward {
  transition-duration: 0.3s;
  transition-property: background-color, color;
}
.woocommerce ul.products li.product .button.components-button::before, .woocommerce ul.products li.product .button.wc-forward::before,
.woocommerce button.button.alt.components-button::before,
.woocommerce button.button.alt.wc-forward::before,
.woocommerce a.button.components-button::before,
.woocommerce a.button.wc-forward::before,
.woocommerce a.button.alt.components-button::before,
.woocommerce a.button.alt.wc-forward::before,
button:not(.pure2026_track_button).components-button::before,
button:not(.pure2026_track_button).wc-forward::before,
.button.components-button::before,
.button.wc-forward::before,
.wp-element-button.components-button::before,
.wp-element-button.wc-forward::before, .wp-block-button__link.components-button::before, .wp-block-button__link.wc-forward::before,
.woocommerce button.button.components-button::before,
.woocommerce button.button.wc-forward::before,
.woocommerce-button.components-button::before,
.woocommerce-button.wc-forward::before,
.wpcf7-submit.components-button::before,
.wpcf7-submit.wc-forward::before,
.single_add_to_cart_button.components-button::before,
.single_add_to_cart_button.wc-forward::before,
input[type=submit].components-button::before,
input[type=submit].wc-forward::before {
  content: none;
  display: none;
}
.woocommerce ul.products li.product .button.disabled,
.woocommerce button.button.alt.disabled,
.woocommerce a.button.disabled,
.woocommerce a.button.alt.disabled,
button:not(.pure2026_track_button).disabled,
.button.disabled,
.wp-element-button.disabled, .wp-block-button__link.disabled,
.woocommerce button.button.disabled,
.woocommerce-button.disabled,
.wpcf7-submit.disabled,
.single_add_to_cart_button.disabled,
input[type=submit].disabled {
  background: silver !important;
}

.woocommerce ul.products li.product .button {
  display: block;
}

.wp-block-cover .wp-element-button,
.wc-block-featured-product__link .wp-element-button {
  color: #fff;
  border-color: #fff;
  display: inline-block;
  position: relative;
  padding-left: 4rem;
  padding-right: 4rem;
}
.wp-block-cover .wp-element-button::before,
.wc-block-featured-product__link .wp-element-button::before {
  content: "";
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  mix-blend-mode: difference;
  opacity: 0;
  transition-duration: 0.3s;
  transition-property: transform;
  background: #fff;
}
.wp-block-cover .wp-element-button:hover::before,
.wc-block-featured-product__link .wp-element-button:hover::before {
  transform: none;
  opacity: 1;
}

#place_order {
  padding: 1.2em 1.8em;
}

.variation_btn {
  background: transparent;
  color: #545454 !important;
  border: 1px solid #545454;
  padding: 0.5em;
  margin: 0.5em;
  box-shadow: none !important;
  min-width: 3em;
  text-align: center;
}
.variation_btn:hover {
  border-color: var(--wp--preset--color--zielony);
  color: #fff !important;
}
.variation_btn.selected {
  color: #fff !important;
  background: var(--wp--preset--color--zielony);
  border-color: var(--wp--preset--color--zielony);
}

.wp-block-button .wp-element-button {
  padding-left: 3em;
  padding-right: 3em;
}

.woocommerce-cart .woocommerce button.button,
.button.button2 {
  background: #fff !important;
  color: #000;
  font-weight: normal;
  border: 1px solid var(--wp--preset--color--zielony);
  border-radius: 0;
  padding: 0.8em 1.2em !important;
}
.woocommerce-cart .woocommerce button.button:not(.disabled):hover,
.button.button2:not(.disabled):hover {
  box-shadow: 0.3rem 0.3rem 0.6rem #33333322;
  color: #000;
}

.woocommerce-info {
  border-top-color: var(--wp--preset--color--zielony) !important;
}

.woocommerce-info::before {
  color: var(--wp--preset--color--zielony) !important;
}

input[type=checkbox],
input[type=radio] {
  -webkit-appearance: none;
  appearance: none;
  background-color: transparent;
  color: currentColor;
  width: 1em;
  height: 1em;
  max-width: 16px;
  max-height: 16px;
  margin: 0 0.2em 0 0 !important;
  padding: 0 !important;
  display: inline-grid !important;
  place-content: center;
  cursor: pointer;
  border: 0 !important;
}
input[type=checkbox] + span,
input[type=radio] + span {
  display: inline-block;
  line-height: 1;
}
input[type=checkbox] + label,
input[type=radio] + label {
  margin-left: 0.5rem;
}
input[type=checkbox]:before,
input[type=radio]:before {
  content: "";
  width: 1em;
  height: 1em;
  max-width: 16px;
  max-height: 16px;
  border: 1.25px solid #080808;
  background: transparent;
  border-radius: 100%;
  transform: translateY(0.1em);
  transition-duration: 0.4s;
  transition-property: background;
  display: inline-block;
}
input[type=checkbox]:checked:before,
input[type=radio]:checked:before {
  background: var(--wp--preset--color--zielony);
  border-color: #fff;
  box-shadow: 0 0 2px #000;
  border-width: 2px;
}
input[type=checkbox]:disabled,
input[type=radio]:disabled {
  cursor: not-allowed;
}
input[type=checkbox]:disabled::before,
input[type=radio]:disabled::before {
  background: #777;
}

input[type=checkbox]:before {
  border-radius: 0.1em;
}

select {
  appearance: none;
  background-color: transparent;
  color: #000;
  border: none;
  padding: 0 0.7rem 0 0;
  margin: 0;
  width: 100%;
  font-family: inherit;
  font-size: inherit;
  cursor: inherit;
  line-height: inherit;
  border: 1.25px solid #ccc;
}
select.selected {
  color: #000 !important;
  filter: invert(1);
}

.quantity {
  display: inline-flex;
  align-items: center;
  font-family: "Open Sans", Arial, sans-serif;
  line-height: 1;
}

.step-up-btn,
.step-down-btn {
  cursor: pointer;
  user-select: none;
  font-size: 1.125rem;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  background: oklch(92.2% 0 0);
}

.step-up-btn,
.step-down-btn {
  padding: 0.5rem 0.75rem;
  text-align: center;
}

input[type=number] {
  -webkit-appearance: textfield;
  -moz-appearance: textfield;
  appearance: textfield;
  position: relative;
  text-align: center;
  user-select: none;
  border: 0;
  font-size: 0.875rem;
  padding: 0.1em 0.3em;
  text-align: center;
}
input[type=number].qty {
  width: 2em !important;
}
input[type=number].number_wide.qty {
  width: 2.6em !important;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  -webkit-appearance: none;
}

span.onsale {
  display: none !important;
}

.ajax_add_to_cart {
  min-width: 12em;
  text-align: center;
}

.pure2026_track {
  cursor: grab;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
}